document.onkeydown = function(abc) {
	switch (abc.keyCode) {
		case 37: zmiana = (zmiana - 1); muzyka.currentTime = (muzyka.currentTime - 1); break;
		case 39: zmiana = (zmiana + 1); muzyka.currentTime = (muzyka.currentTime + 1); break;
	}
};

window.addEventListener( 'click', zapiszlog, false );

function zapiszlog( event ) {
	console.log("t: "+clock.getElapsedTime() + zmiana);
	console.log("zc: "+zmienna_czas);
}

function cam_vec(start, koniec, ileczasu, przesuniecie)
	{
	var wynik;
	if (koniec > start) wynik = Number(start)+(((koniec-start)/Number(ileczasu)) * Number(przesuniecie));
	else wynik = Number(start)-(((start-koniec)/Number(ileczasu)) * Number(przesuniecie));
	return wynik;
	}

	
	/*
function cam_vec(start, koniec, ileczasu, przesuniecie)
	{
	var wynik;
	if (koniec > start) wynik = Number(start)+(((koniec-start)/Number(ileczasu)) * Number(przesuniecie));
	else wynik = Number(start)-(((start-koniec)/Number(ileczasu)) * Number(przesuniecie));
	return wynik;
	}
	*/
	